## WebKitDOMAudioTrack

WebKitDOMAudioTrack

## Functions

gchar * | webkit_dom_audio_track_get_id ()
gchar * | webkit_dom_audio_track_get_kind ()
gchar * | webkit_dom_audio_track_get_label ()
gchar * | webkit_dom_audio_track_get_language ()
gboolean | webkit_dom_audio_track_get_enabled ()
void | webkit_dom_audio_track_set_enabled ()

## Properties

gboolean | enabled | Read / Write
gchar * | id | Read
gchar * | kind | Read
gchar * | label | Read
gchar * | language | Read

## Types and Values

| WebKitDOMAudioTrack

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMAudioTrack

## Description

## Functions

### webkit_dom_audio_track_get_id ()

    gchar *
    webkit_dom_audio_track_get_id (WebKitDOMAudioTrack *self);

#### Parameters

self | A WebKitDOMAudioTrack |

#### Returns

A gchar

### webkit_dom_audio_track_get_kind ()

    gchar *
    webkit_dom_audio_track_get_kind (WebKitDOMAudioTrack *self);

#### Parameters

self | A WebKitDOMAudioTrack |

#### Returns

A gchar

### webkit_dom_audio_track_get_label ()

    gchar *
    webkit_dom_audio_track_get_label (WebKitDOMAudioTrack *self);

#### Parameters

self | A WebKitDOMAudioTrack |

#### Returns

A gchar

### webkit_dom_audio_track_get_language ()

    gchar *
    webkit_dom_audio_track_get_language (WebKitDOMAudioTrack *self);

#### Parameters

self | A WebKitDOMAudioTrack |

#### Returns

A gchar

### webkit_dom_audio_track_get_enabled ()

    gboolean
    webkit_dom_audio_track_get_enabled (WebKitDOMAudioTrack *self);

#### Parameters

self | A WebKitDOMAudioTrack |

#### Returns

A gboolean

### webkit_dom_audio_track_set_enabled ()

    void
    webkit_dom_audio_track_set_enabled (WebKitDOMAudioTrack *self,
                                        gboolean value);

#### Parameters

self | A WebKitDOMAudioTrack |
value | A gboolean |

## Types and Values

### WebKitDOMAudioTrack

    typedef struct _WebKitDOMAudioTrack WebKitDOMAudioTrack;

## Property Details

### The `“enabled”` property

      “enabled”                  gboolean

read-write gboolean AudioTrack:enabled.

Flags: Read / Write

Default value: FALSE

### The `“id”` property

      “id”                       gchar *

read-only gchar* AudioTrack:id.

Flags: Read

Default value: ""

### The `“kind”` property

      “kind”                     gchar *

read-only gchar* AudioTrack:kind.

Flags: Read

Default value: ""

### The `“label”` property

      “label”                    gchar *

read-only gchar* AudioTrack:label.

Flags: Read

Default value: ""

### The `“language”` property

      “language”                 gchar *

read-only gchar* AudioTrack:language.

Flags: Read

Default value: ""